LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XDockableWindow Interface Reference

specifies the docking interface for a window component. More...

`import"XDockableWindow.idl";`

Inheritance diagram for XDockableWindow:

## Public Member Functions
void | addDockableWindowListener ([in] com::sun::star::awt::XDockableWindowListener xListener)
| adds a docking listener to the object. More...
void | removeDockableWindowListener ([in] com::sun::star::awt::XDockableWindowListener xListener)
| removes the specified docking listener from the object. More...
void | enableDocking ([in] boolean bEnable)
| enable or disable docking, docking is disabled by default More...
boolean | isFloating ()
| queries the current window state More...
void | setFloatingMode ([in] boolean bFloating)
| toggle between floating and docked state More...
void | lock ()
| prevents the window from being undocked this has no effect if the window is floating More...
void | unlock ()
| enables undocking this has no effect if the window is floating More...
boolean | isLocked ()
| queries the current locking state More...
void | startPopupMode ([in] com::sun::star::awt::Rectangle WindowRect)
| shows the window in a menu like style, i.e. More...
boolean | isInPopupMode ()
| queries the current pop-up mode More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the docking interface for a window component.

A window can either be docked where it resides as a child window in an application frame window or it can be floating where it will reside in its own decorated top level window.

## Member Function Documentation

## ◆ addDockableWindowListener()

void addDockableWindowListener | ( | [in] com::sun::star::awt::XDockableWindowListener | xListener | ) |

adds a docking listener to the object.

only a single listener may be registered at any time.

## ◆ enableDocking()

void enableDocking | ( | [in] boolean | bEnable | ) |

enable or disable docking, docking is disabled by default

Parameters

  bEnable | `TRUE` specifies that docking is enabled `FALSE` specifies that docking is disabled and no com::sun::star::awt::XDockableWindowListener will be called

## ◆ isFloating()

boolean isFloating | ( |  | ) |

queries the current window state

Returns
  `TRUE` if the window is floating `FALSE` if the window is docked

## ◆ isInPopupMode()

boolean isInPopupMode | ( |  | ) |

queries the current pop-up mode

Returns
  `TRUE` if the window is in pop-up mode `FALSE` if the window is not in pop-up mode

Deprecated:
  - always returns `FALSE`

## ◆ isLocked()

boolean isLocked | ( |  | ) |

queries the current locking state

Returns
  `TRUE` if the window is locked `FALSE` if the window is not locked

## ◆ lock()

void lock | ( |  | ) |

prevents the window from being undocked this has no effect if the window is floating

## ◆ removeDockableWindowListener()

void removeDockableWindowListener | ( | [in] com::sun::star::awt::XDockableWindowListener | xListener | ) |

removes the specified docking listener from the object.

## ◆ setFloatingMode()

void setFloatingMode | ( | [in] boolean | bFloating | ) |

toggle between floating and docked state

Parameters

  bFloating | specifies the new floating mode: `TRUE` means floating, `FALSE` means docked

## ◆ startPopupMode()

void startPopupMode | ( | [in] com::sun::star::awt::Rectangle | WindowRect | ) |

shows the window in a menu like style, i.e.

without decoration a special indicator will allow for tearing off the window see com::sun::star::awt::XDockableWindowListener for the corresponding events

Parameters

  WindowRect | specifies the position and size of the pop-up window in frame coordinates

Deprecated:
  - doesn't do anything

## ◆ unlock()

void unlock | ( |  | ) |

enables undocking this has no effect if the window is floating

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDockableWindow.idl